#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:          kwallet-pam
Version: 6.3.2
Release:       %mkrel %{rel}
Summary:       PAM module for KWallet
Group:         Graphical desktop/KDE
License:       LGPLv2+
URL:           https://invent.kde.org/plasma/kwallet-pam
Source0:       https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz
# (lm) mageia uses socat v2 beta: SSO with kwallet-pam works properly only if
# we use socat unidirectional mode (mga#18986)
Patch0:        pam_kwallet_init-use-unidirectional-mode-for-socat-v2.patch

BuildRequires: kf6-rpm-macros

BuildRequires: pam-devel
BuildRequires: libgcrypt-devel >= 1.5.0

BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(KF6Wallet)

BuildRequires: socat
Requires:      socat

Obsoletes:     pam-kwallet < 5.5.3
Provides:      pam-kwallet = %version-%release

%description 
PAM module for KWallet.

%files
%{_kf6_sysconfdir}/xdg/autostart/pam_kwallet_init.desktop
%{_libexecdir}/pam_kwallet_init
%{_kf6_libdir}/security/pam_kwallet5.so
%_userunitdir/plasma-kwallet-pam.service

#-----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install


%changelog
* Tue Feb 25 2025 daviddavid <daviddavid> 6.3.2-1.mga10
+ Revision: 2152457
- New version 6.3.2

* Tue Feb 18 2025 daviddavid <daviddavid> 6.3.1-1.mga10
+ Revision: 2149388
- New version 6.3.1

* Tue Feb 11 2025 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2146913
- New version 6.3.0

* Thu Jan 23 2025 daviddavid <daviddavid> 6.2.91-1.mga10
+ Revision: 2140812
- New version 6.2.91

* Sat Jan 11 2025 daviddavid <daviddavid> 6.2.90-1.mga10
+ Revision: 2137955
- New version 6.2.90

* Wed Jan 01 2025 daviddavid <daviddavid> 6.2.5-1.mga10
+ Revision: 2134173
- New version 6.2.5

* Tue Nov 26 2024 daviddavid <daviddavid> 6.2.4-1.mga10
+ Revision: 2119045
- New version 6.2.4

* Sat Nov 09 2024 daviddavid <daviddavid> 6.2.3-1.mga10
+ Revision: 2113155
- New version 6.2.3

* Tue Oct 22 2024 daviddavid <daviddavid> 6.2.2-1.mga10
+ Revision: 2110034
- New version 6.2.2

* Wed Oct 16 2024 daviddavid <daviddavid> 6.2.1-1.mga10
+ Revision: 2107211
- New version 6.2.1

* Wed Oct 09 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2104442
- New version 6.2.0

* Thu Sep 12 2024 neoclust <neoclust> 6.1.90-1.mga10
+ Revision: 2095389
- New version 6.1.90

* Wed Aug 07 2024 daviddavid <daviddavid> 6.1.4-1.mga10
+ Revision: 2083904
- New version 6.1.4

* Tue Jul 02 2024 daviddavid <daviddavid> 6.1.2-1.mga10
+ Revision: 2079114
- New version 6.1.2

* Tue Jun 25 2024 daviddavid <daviddavid> 6.1.1-1.mga10
+ Revision: 2076711
- New version 6.1.1

* Tue Jun 18 2024 neoclust <neoclust> 6.1.0-1.mga10
+ Revision: 2074818
- New version 6.1.0

* Tue Jun 04 2024 neoclust <neoclust> 6.0.90-1.mga10
+ Revision: 2069799
- New version 6.0.90

* Tue Apr 16 2024 daviddavid <daviddavid> 6.0.4-1.mga10
+ Revision: 2057913
- New version 6.0.4

* Wed Mar 27 2024 daviddavid <daviddavid> 6.0.3-1.mga10
+ Revision: 2052474
- New version 6.0.3

* Tue Mar 12 2024 daviddavid <daviddavid> 6.0.2-1.mga10
+ Revision: 2049389
- New version 6.0.2

* Thu Mar 07 2024 daviddavid <daviddavid> 6.0.1-1.mga10
+ Revision: 2048138
- New version 6.0.1

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2044996
- New version 6.0.0

* Fri Feb 02 2024 neoclust <neoclust> 5.93.0-1.mga10
+ Revision: 2036785
- New version 5.93.0

* Wed Jan 10 2024 neoclust <neoclust> 5.92.0-1.mga10
+ Revision: 2029646
- New version 5.92.0

* Mon Jan 01 2024 neoclust <neoclust> 5.91.0-1.mga10
+ Revision: 2025686
- New version 5.91.0
- New version 5.90.0
- New version 5.90.0

* Mon Nov 13 2023 neoclust <neoclust> 5.27.80-1.mga10
+ Revision: 2006497
- New version 5.27.80

* Wed Oct 25 2023 daviddavid <daviddavid> 5.27.9-1.mga10
+ Revision: 2001114
- New version 5.27.9

* Wed Sep 20 2023 daviddavid <daviddavid> 5.27.8-1.mga10
+ Revision: 1988241
- New version 5.27.8

* Fri May 26 2023 neoclust <neoclust> 5.27.5-1.mga9
+ Revision: 1958044
- New version 5.27.5

* Mon Apr 10 2023 neoclust <neoclust> 5.27.4-1.mga9
+ Revision: 1951957
- New version 5.27.4

* Wed Mar 15 2023 neoclust <neoclust> 5.27.3-1.mga9
+ Revision: 1949082
- New version 5.27.3

* Tue Feb 28 2023 neoclust <neoclust> 5.27.2-1.mga9
+ Revision: 1945789
- New version 5.27.2

* Wed Feb 22 2023 daviddavid <daviddavid> 5.27.1-1.mga9
+ Revision: 1944801
- New version 5.27.1

* Tue Feb 14 2023 neoclust <neoclust> 5.27.0-1.mga9
+ Revision: 1942068
- New version 5.27.0

* Mon Jan 23 2023 neoclust <neoclust> 5.26.90-1.mga9
+ Revision: 1935076
- New version 5.26.90

* Thu Jan 05 2023 daviddavid <daviddavid> 5.26.5-1.mga9
+ Revision: 1930065
- New version 5.26.5

* Thu Dec 15 2022 neoclust <neoclust> 5.26.4-1.mga9
+ Revision: 1923117
- New version 5.26.4

* Tue Nov 15 2022 neoclust <neoclust> 5.26.3-1.mga9
+ Revision: 1907536
- New version 5.26.3
- New version 5.26.2

* Fri Sep 16 2022 neoclust <neoclust> 5.25.90-1.mga9
+ Revision: 1889250
- New version 5.25.90

* Fri Aug 05 2022 neoclust <neoclust> 5.25.4-1.mga9
+ Revision: 1875467
- New version 5.25.4

* Tue Jul 26 2022 neoclust <neoclust> 5.25.3-1.mga9
+ Revision: 1872280
- New version 5.25.3
- New version 5.25.3
- New version 5.24.5

* Wed Apr 06 2022 umeabot <umeabot> 5.24.4-2.mga9
+ Revision: 1845864
- Mageia 9 Mass Rebuild
+ neoclust <neoclust>
- New version 5.24.4

* Sun Jan 02 2022 neoclust <neoclust> 5.23.4-1.mga9
+ Revision: 1766164
- New version 5.23.4

* Mon Nov 15 2021 neoclust <neoclust> 5.23.3-1.mga9
+ Revision: 1756829
- New version 5.23.3

* Tue Oct 19 2021 neoclust <neoclust> 5.23.0-1.mga9
+ Revision: 1752086
- New version 5.23.0
- New version 5.22.90

* Thu Jul 15 2021 neoclust <neoclust> 5.22.3-1.mga9
+ Revision: 1736174
- New version 5.22.3

* Thu May 06 2021 daviddavid <daviddavid> 5.21.5-1.mga9
+ Revision: 1721758
- New version 5.21.5

* Mon Apr 12 2021 daviddavid <daviddavid> 5.21.4-1.mga9
+ Revision: 1715392
- New version 5.21.4

* Thu Mar 18 2021 daviddavid <daviddavid> 5.21.3-1.mga9
+ Revision: 1704269
- New version 5.21.3

* Wed Mar 03 2021 daviddavid <daviddavid> 5.21.2-1.mga9
+ Revision: 1697439
- New version 5.21.2

* Tue Mar 02 2021 daviddavid <daviddavid> 5.21.1-2.mga9
+ Revision: 1695762
- rebuild against current glibc

* Sat Feb 27 2021 daviddavid <daviddavid> 5.21.1-1.mga9
+ Revision: 1692642
- New version 5.21.1

* Mon Dec 07 2020 daviddavid <daviddavid> 5.20.4-1.mga8
+ Revision: 1654193
- New version 5.20.4

* Sat Nov 14 2020 daviddavid <daviddavid> 5.20.3-1.mga8
+ Revision: 1645408
- New version 5.20.3

* Wed Oct 28 2020 daviddavid <daviddavid> 5.20.2-1.mga8
+ Revision: 1639985
- New version 5.20.2

* Wed Oct 21 2020 daviddavid <daviddavid> 5.20.1-1.mga8
+ Revision: 1637738
- New version 5.20.1

* Tue Oct 13 2020 daviddavid <daviddavid> 5.20.0-1.mga8
+ Revision: 1635442
- New version 5.20.0

* Wed Sep 02 2020 daviddavid <daviddavid> 5.19.5-1.mga8
+ Revision: 1620779
- New version 5.19.5

* Wed Jul 29 2020 daviddavid <daviddavid> 5.19.4-1.mga8
+ Revision: 1609604
- New version 5.19.4

* Wed Jul 08 2020 neoclust <neoclust> 5.19.3-1.mga8
+ Revision: 1603003
- New version 5.19.3

* Tue Jun 23 2020 daviddavid <daviddavid> 5.19.2-1.mga8
+ Revision: 1598718
- New version 5.19.2

* Wed Jun 17 2020 daviddavid <daviddavid> 5.19.1-1.mga8
+ Revision: 1594012
- New version 5.19.1
+ neoclust <neoclust>
- New version 5.18.90

* Wed May 06 2020 daviddavid <daviddavid> 5.18.5-1.mga8
+ Revision: 1580752
- New version 5.18.5
- New version 5.18.4.1

* Tue Mar 17 2020 daviddavid <daviddavid> 5.18.3-1.mga8
+ Revision: 1557152
- New version 5.18.3

* Tue Feb 25 2020 daviddavid <daviddavid> 5.18.2-1.mga8
+ Revision: 1550378
- New version 5.18.2

* Fri Feb 21 2020 daviddavid <daviddavid> 5.18.1-1.mga8
+ Revision: 1548244
- New version 5.18.1

* Thu Feb 20 2020 umeabot <umeabot> 5.18.0-2.mga8
+ Revision: 1547128
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 daviddavid <daviddavid> 5.18.0-1.mga8
+ Revision: 1496269
- New version 5.18.0

* Thu Feb 06 2020 neoclust <neoclust> 5.17.90-1.mga8
+ Revision: 1487403
- New version 5.17.90
+ wally <wally>
- build with new cmake macros

* Wed Dec 04 2019 daviddavid <daviddavid> 5.17.4-1.mga8
+ Revision: 1464300
- New version 5.17.4

* Fri Nov 15 2019 daviddavid <daviddavid> 5.17.3-1.mga8
+ Revision: 1460058
- New version 5.17.3

* Wed Oct 30 2019 daviddavid <daviddavid> 5.17.2-1.mga8
+ Revision: 1456769
- New version 5.17.2

* Wed Oct 23 2019 daviddavid <daviddavid> 5.17.1-1.mga8
+ Revision: 1455334
- New version 5.17.1

* Mon Oct 14 2019 neoclust <neoclust> 5.17.0-1.mga8
+ Revision: 1453166
- New version 5.17.0

* Sun Sep 29 2019 neoclust <neoclust> 5.16.90-1.mga8
+ Revision: 1448062
- New version 5.16.90

* Wed Sep 04 2019 neoclust <neoclust> 5.16.5-1.mga8
+ Revision: 1437050
- New version 5.16.5

* Wed Jul 31 2019 neoclust <neoclust> 5.16.4-1.mga8
+ Revision: 1426318
- New version 5.16.4

* Thu Jul 25 2019 neoclust <neoclust> 5.16.3-1.mga8
+ Revision: 1424075
- New version 5.16.3

* Mon Apr 08 2019 neoclust <neoclust> 5.15.4-1.mga7
+ Revision: 1386850
- New version 5.15.4

* Tue Mar 12 2019 neoclust <neoclust> 5.15.3-1.mga7
+ Revision: 1374929
- New version 5.15.3

* Thu Feb 28 2019 neoclust <neoclust> 5.15.2-1.mga7
+ Revision: 1370556
- New version 5.15.2

* Tue Feb 19 2019 neoclust <neoclust> 5.15.1-1.mga7
+ Revision: 1368596
- New version 5.15.1

* Fri Feb 15 2019 neoclust <neoclust> 5.15.0-1.mga7
+ Revision: 1367231
- New version 5.15.0

* Mon Jan 14 2019 neoclust <neoclust> 5.14.5-1.mga7
+ Revision: 1356180
- New version 5.14.5

* Sun Dec 09 2018 neoclust <neoclust> 5.14.4-1.mga7
+ Revision: 1339317
- New version 5.14.4

* Wed Oct 24 2018 neoclust <neoclust> 5.14.2-1.mga7
+ Revision: 1324876
- New version 5.14.2

* Sun Sep 23 2018 umeabot <umeabot> 5.13.4-2.mga7
+ Revision: 1298689
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 neoclust <neoclust> 5.13.4-1.mga7
+ Revision: 1250512
- New version 5.13.4

* Fri Feb 23 2018 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1204447
- New version 5.12.2

* Wed Feb 14 2018 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1200993
- New version 5.12.1

* Thu Jan 18 2018 neoclust <neoclust> 5.11.95-1.mga7
+ Revision: 1194299
- New version 5.11.95

* Wed Dec 27 2017 neoclust <neoclust> 5.11.4-1.mga7
+ Revision: 1185687
- New version 5.11.4

* Fri Oct 27 2017 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1174107
- New version 5.11.2

* Tue Oct 17 2017 neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1172392
- New version 5.11.1

* Sun Oct 01 2017 neoclust <neoclust> 5.10.95-1.mga7
+ Revision: 1162400
- New version 5.10.95
- New version 5.10.5

* Sat Jul 22 2017 neoclust <neoclust> 5.10.4-1.mga7
+ Revision: 1128206
- New version 5.10.4
- New version 5.10.3

* Fri May 26 2017 neoclust <neoclust> 5.8.7-1.mga6
+ Revision: 1104843
- New version 5.8.7

* Thu May 11 2017 lmenut <lmenut> 5.8.6-2.mga6
+ Revision: 1100410
- use socat unidirectional mode in order to fix SSO (mga#18986)

* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089029
- New version 5.8.6

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078164
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070721
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065139
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064482
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063052
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060277
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057603
- New version 5.8.0

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053059
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052686
- New version 5.7.5

* Wed Aug 24 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048351
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044272
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042560
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041397
- New version 5.7.1

* Thu Jul 07 2016 neoclust <neoclust> 5.7.0-1.mga6
+ Revision: 1039503
- New version 5.7.0

* Fri Jun 17 2016 neoclust <neoclust> 5.6.5-1.mga6
+ Revision: 1021873
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1014541
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009278
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999262
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998017
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994392
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 986973
- Rebuild against kf5 5.20.0

* Fri Mar 04 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 985509
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 5.5.4-1.mga6
+ Revision: 927972
- New version 5.5.4

* Wed Jan 20 2016 neoclust <neoclust> 5.5.3-1.mga6
+ Revision: 925967
- imported package kwallet-pam

